aboutsummaryrefslogtreecommitdiffstats
path: root/testing/libcue
diff options
context:
space:
mode:
Diffstat (limited to 'testing/libcue')
-rw-r--r--testing/libcue/APKBUILD32
1 files changed, 32 insertions, 0 deletions
diff --git a/testing/libcue/APKBUILD b/testing/libcue/APKBUILD
new file mode 100644
index 0000000000..3c61236a27
--- /dev/null
+++ b/testing/libcue/APKBUILD
@@ -0,0 +1,32 @@
+# Contributor: William Pitcock <nenolod@dereferenced.org>
+# Maintainer: William Pitcock <nenolod@dereferenced.org>
+pkgname=libcue
+pkgver=1.4.0
+pkgrel=0
+pkgdesc="library for parsing cue files"
+url="http://libcue.sourceforge.net/"
+license="GPL"
+arch="all"
+depends=
+makedepends=
+install=
+subpackages="$pkgname-dev"
+source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="5f5045f00e6ac92d9a057fe5b0982c69 libcue-1.4.0.tar.bz2"